--
-- BigBank
--
--
--  Some Code taken from "MoreLoan-FS15" - ANDR55
-- @author Malaras
-- Version 0.1
-- @date 8/27/18


BigBank = {};

function BigBank:loadMap(name)

	g_currentMission.missionStats.loanMax = 10000000;
	g_currentMission.missionStats.saveLoan = 0;
	BigBank:calculateLoanInterestRate();
	
end;

function BigBank:update(dt)

	if g_currentMission.missionStats.saveLoan ~= g_currentMission.missionStats.loan then
		BigBank:calculateLoanInterestRate();
		g_currentMission.missionStats.saveLoan = g_currentMission.missionStats.loan;
	end;
	
end;

function BigBank:calculateLoanInterestRate()

	local loanAnnualInterestRate = 0;
	
	if g_currentMission.missionStats.loan <= 200000 then
		loanAnnualInterestRate = 100;
		
	elseif g_currentMission.missionStats.loan <= 500000 then
		loanAnnualInterestRate = 250;
		
	elseif g_currentMission.missionStats.loan <= 1000000 then
		loanAnnualInterestRate = 600;
		
	elseif g_currentMission.missionStats.loan <= 5000000 then
		loanAnnualInterestRate = 1000;
		
	else
		loanAnnualInterestRate = g_currentMission.missionStats.loan / 13800;
	end;

	g_currentMission.missionStats.loanAnnualInterestRate = loanAnnualInterestRate;
	
end;

function BigBank:deleteMap()
end;

function BigBank:delete()
end;

function BigBank:mouseEvent(posX, posY, isDown, isUp, button)
end;

function BigBank:keyEvent(unicode, sym, modifier, isDown)
end;

function BigBank:draw()
end;

addModEventListener(BigBank);